Create or Delete Agent

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Deprecation Update

This API will be deprecated by 30th April 2025.

We recommend to start using the new version of the APIs:

This API is used to create or delete an agent in CloudAgent. The user has to update the ‘action’ parameter with the desired function.

To access this API we need to pass the following parameters.

ParameterDesciption
apiKey*Available in CloudAgent admin login
userName*CloudAgent user name
agentName*Name of the agent
agentId*Unique agentId to be assigned to agent
agentPassword*Password for the agent to login
action*Create: If to create a new agent
Delete: Delete an agent profile
skillSkill names with comma separation, that are to be assigned to agent while creating
sipLocationAdd the valid SIP location if needed.
callControllers

You can add the call controllers that will be assigned to the agent. Please pass the parameter in the format

{
"mute": true,
"decline": true,
"transfer": {
"agent": {
"warm": true,
"blind": false
}
}
}

With the above example parameter, the agent will be enabled with the following options:
  • Mute a call

  • Decline the call

  • Agent Transfer

    • Warm transfer: Enabled
    • Blind transfer: Disabled.
  • Following is the list of all the parameters that you can pass here:
    1 mute
    2 hold
    3 endcall
    4 answer
    5 decline
    6 transfer_agent_warm
    7 transfer_agent_blind
    8 transfer_skill_warm
    9 transfer_skill_blind
    10 transfer_phone_warm
    11 transfer_phone_blind
    12 transfer_ivr_warm
    13 transfer_ivr_blind
    14 conference_agent
    15 conference_phone

❗️

Note

Parameters with ‘*’ are considered to be mandatory parameters.

Possible responses

ResponseOutput
Success Create response{
"status": "success",
"message": "Agent Created Successfully"
}
Invalid api_key{
"status": "error",
"message": "Authentication Failed"
}
Invalid action{
"status": "error",
"message": "Authentication Failed"
}
Invalid username{
"status": "error",
"message": "Authentication Failed"
}
Empty fields{
"status": "error",
"message": "All parameters are mandatory"
}
Success Delete response{
"status": "success"
"message": "Agent Deleted Successfully"
}
Passing callControllers parameter in the wrong format{
"status": "error",
"message": "callControllers json is invalid"
}
Passing invalid sipLocation{
"status": "error",
"message": "SIP Location is invalid"
}
📘

Further Insights

By default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.

Query Params
string
string
string
string
string
string
string
string
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!